The Big Refactoring of 2019: scheduler should not be global #655
The Big Refactoring of 2019: configuration version should not be a global variable #656
The Big Refactoring of 2019: configuration version should not be a global variable #656
making a global not global
The Big Refactoring of 2019: configuration version should not be a global variable #656
The Big Refactoring of 2019: configuration version should not be a global variable #656
#656 global is not great
#656 trying a new idea
The Big Refactoring of 2019: configuration version should not be a global variable fix #656
Revert "The Big Refactoring of 2019: configuration version should not be a global variable fix #656"

This reverts commit 98a75d19
The Big Refactoring of 2019: configuration version should not be a global variable #656
The Big Refactoring of 2019: configuration version should not be a global variable #656
The Big Refactoring of 2019: configuration version should not be a global variable #656
The Big Refactoring of 2019: configuration version should not be a global variable #656
Revert "Revert "The Big Refactoring of 2019: configuration version should not be a global variable fix #656""

This reverts commit 570ce6287187deace69869e6988d0a1822734765.
